{% extends "base.html" %}

{% block title %}Liste des professionnels{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item active" aria-current="page">Professionnels</li>
{% endblock %}

{% block content %}
    <div class="row align-items-center">
        <div class="col"><h2>Liste des professionnels</h2></div>
        <div class="col text-end">
            <a class="btn btn-sm btn-outline-primary openmodal" href="{% url 'professionnel-new' %}">Nouveau professionnel</a>
        </div>
    </div>

    <form class="immediate_submit table-filter unmonitor" method="get" action=".">
    <table class="table">
        <thead class="sticky">
            <tr><th>Nom</th><th>Adresse</th><th>Type</th><th>Courriel</th><th>Tél.</th><th>Remarques</th></tr>
            <tr class="filters">
                <td>{{ form.nom }}</td><td></td><td>{{ form.type_pro }}</td><td></td><td></td><td></td>
            </tr>
        </thead>
        <tbody id="filter_container">
        {% for prof in object_list %}
            <tr{% if prof.inactif %} class="inactif"{% endif %}>
                <td><a class="openmodal" href="{% url 'professionnel-edit' prof.pk %}"
                    {% if perms.client.change_professionnel %}
                    data-deleteurl="{% url 'professionnel-archive' prof.pk %}"
                    data-deleteconfirm="Voulez-vous vraiment archiver cette personne ?{% if prof.clients > 0 %} ATTENTION: elle sera retirée de {{ prof.clients }} clients avec lesquels elle est actuellement liée.{% endif %}"{% endif %}>
                        {{ prof.nom_prenom }}
                    </a>
                </td>
                <td>{{ prof.rue }}, {{ prof.npa }} {{ prof.localite }}</td>
                <td>{{ prof.get_type_pro_display }}</td>
                <td>{{ prof.courriel }}</td>
                <td class="tels">{{ prof.tel_1 }}{% if prof.tel_2 %}<br>{{ prof.tel_2 }}{% endif %}</td>
                <td>{{ prof.remarque }}</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    </form>

    {% include 'pagination.html' %}

{% endblock %}
